Index: /branches/version-2_13-dev/data/class/SC_Query.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Query.php	(revision 23019)
+++ /branches/version-2_13-dev/data/class/SC_Query.php	(revision 23124)
@@ -32,22 +32,22 @@
 class SC_Query
 {
-    var $option = '';
-    var $where = '';
-    var $arrWhereVal = array();
-    var $conn;
-    var $groupby = '';
-    var $order = '';
-    var $force_run = false;
+    public $option = '';
+    public $where = '';
+    public $arrWhereVal = array();
+    public $conn;
+    public $groupby = '';
+    public $order = '';
+    public $force_run = false;
     /** シングルトン動作のためのインスタンスプール配列。キーは DSN の識別情報。 */
-    static $arrPoolInstance = array();
+    public static $arrPoolInstance = array();
 
     /**
      * コンストラクタ.
      *
-     * @param string $dsn データソース名
+     * @param string  $dsn       データソース名
      * @param boolean $force_run エラーが発生しても処理を続行する場合 true
-     * @param boolean $new 新規に接続を行うかどうか
-     */
-    function __construct($dsn = '', $force_run = false, $new = false)
+     * @param boolean $new       新規に接続を行うかどうか
+     */
+    public function __construct($dsn = '', $force_run = false, $new = false)
     {
         if ($dsn == '') {
@@ -94,10 +94,10 @@
      * シングルトンの SC_Query インスタンスを取得する.
      *
-     * @param string $dsn データソース名
-     * @param boolean $force_run エラーが発生しても処理を続行する場合 true
-     * @param boolean $new 新規に接続を行うかどうか
+     * @param  string   $dsn       データソース名
+     * @param  boolean  $force_run エラーが発生しても処理を続行する場合 true
+     * @param  boolean  $new       新規に接続を行うかどうか
      * @return SC_Query シングルトンの SC_Query インスタンス
      */
-    static function getSingletonInstance($dsn = '', $force_run = false, $new = false)
+    public static function getSingletonInstance($dsn = '', $force_run = false, $new = false)
     {
         $objThis = SC_Query_Ex::getPoolInstance($dsn);
@@ -111,4 +111,5 @@
          * 厳密な意味でのシングルトンではないが、パフォーマンス的に大差は無い。
          */
+
         return clone $objThis;
     }
@@ -120,5 +121,5 @@
      * @return boolean
      */
-    function isError()
+    public function isError()
     {
         if (PEAR::isError($this->conn)) {
@@ -132,10 +133,10 @@
      * COUNT文を実行する.
      *
-     * @param string $table テーブル名
-     * @param string $where where句
-     * @param array $arrWhereVal プレースホルダ
+     * @param  string  $table       テーブル名
+     * @param  string  $where       where句
+     * @param  array   $arrWhereVal プレースホルダ
      * @return integer 件数
      */
-    function count($table, $where = '', $arrWhereVal = array())
+    public function count($table, $where = '', $arrWhereVal = array())
     {
         return $this->get('COUNT(*)', $table, $where, $arrWhereVal);
@@ -145,10 +146,10 @@
      * EXISTS文を実行する.
      *
-     * @param string $table テーブル名
-     * @param string $where where句
-     * @param array $arrWhereVal プレースホルダ
+     * @param  string  $table       テーブル名
+     * @param  string  $where       where句
+     * @param  array   $arrWhereVal プレースホルダ
      * @return boolean 有無
      */
-    function exists($table, $where = '', $arrWhereVal = array())
+    public function exists($table, $where = '', $arrWhereVal = array())
     {
         $sql_inner = $this->getSql('*', $table, $where, $arrWhereVal);
@@ -156,5 +157,5 @@
         $res = $this->getOne($sql, $arrWhereVal);
 
-        return (bool)$res;
+        return (bool) $res;
     }
 
@@ -162,12 +163,12 @@
      * SELECT文を実行する.
      *
-     * @param string $cols カラム名. 複数カラムの場合はカンマ区切りで書く
-     * @param string $from テーブル名
-     * @param string $where WHERE句
-     * @param array $arrWhereVal プレースホルダ
-     * @param integer $fetchmode 使用するフェッチモード。デフォルトは MDB2_FETCHMODE_ASSOC。
+     * @param  string     $cols        カラム名. 複数カラムの場合はカンマ区切りで書く
+     * @param  string     $from        テーブル名
+     * @param  string     $where       WHERE句
+     * @param  array      $arrWhereVal プレースホルダ
+     * @param  integer    $fetchmode   使用するフェッチモード。デフォルトは MDB2_FETCHMODE_ASSOC。
      * @return array|null
      */
-    function select($cols, $from = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
+    public function select($cols, $from = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
     {
         $sqlse = $this->getSql($cols, $from, $where, $arrWhereVal);
@@ -179,8 +180,8 @@
      * 直前に実行されたSQL文を取得する.
      *
-     * @param boolean $disp trueの場合、画面出力を行う.
-     * @return string SQL文
-     */
-    function getLastQuery($disp = true)
+     * @param  boolean $disp trueの場合、画面出力を行う.
+     * @return string  SQL文
+     */
+    public function getLastQuery($disp = true)
     {
         $sql = $this->conn->last_query;
@@ -198,5 +199,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function commit()
+    public function commit()
     {
         return $this->conn->commit();
@@ -209,5 +210,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function begin()
+    public function begin()
     {
         return $this->conn->beginTransaction();
@@ -220,5 +221,5 @@
      *         失敗した場合は PEAR::Error オブジェクト
      */
-    function rollback()
+    public function rollback()
     {
         return $this->conn->rollback();
@@ -230,5 +231,5 @@
      * @return boolean トランザクションが開始されている場合 true
      */
-    function inTransaction()
+    public function inTransaction()
     {
         return $this->conn->inTransaction();
@@ -242,5 +243,5 @@
      * FIXME MDB2::exec() の実装であるべき
      */
-    function exec($str, $arrVal = array())
+    public function exec($str, $arrVal = array())
     {
         return $this->query($str, $arrVal);
@@ -250,11 +251,11 @@
      * クエリを実行し、結果行毎にコールバック関数を適用する
      *
-     * @param callback $function コールバック先
-     * @param string $sql SQL クエリ
-     * @param array $arrVal プリペアドステートメントの実行時に使用される配列。配列の要素数は、クエリ内のプレースホルダの数と同じでなければなりません。
-     * @param integer $fetchmode 使用するフェッチモード。デフォルトは DB_FETCHMODE_ASSOC。
-     * @return boolean 結果
-     */
-    function doCallbackAll($cbFunc, $sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
+     * @param  callback $function  コールバック先
+     * @param  string   $sql       SQL クエリ
+     * @param  array    $arrVal    プリペアドステートメントの実行時に使用される配列。配列の要素数は、クエリ内のプレースホルダの数と同じでなければなりません。
+     * @param  integer  $fetchmode 使用するフェッチモード。デフォルトは DB_FETCHMODE_ASSOC。
+     * @return boolean  結果
+     */
+    public function doCallbackAll($cbFunc, $sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
     {
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -284,10 +285,10 @@
      * クエリを実行し、全ての行を返す
      *
-     * @param string $sql SQL クエリ
-     * @param array $arrVal プリペアドステートメントの実行時に使用される配列。配列の要素数は、クエリ内のプレースホルダの数と同じでなければなりません。
-     * @param integer $fetchmode 使用するフェッチモード。デフォルトは DB_FETCHMODE_ASSOC。
-     * @return array データを含む2次元配列。失敗した場合に 0 または DB_Error オブジェクトを返します。
-     */
-    function getAll($sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
+     * @param  string  $sql       SQL クエリ
+     * @param  array   $arrVal    プリペアドステートメントの実行時に使用される配列。配列の要素数は、クエリ内のプレースホルダの数と同じでなければなりません。
+     * @param  integer $fetchmode 使用するフェッチモード。デフォルトは DB_FETCHMODE_ASSOC。
+     * @return array   データを含む2次元配列。失敗した場合に 0 または DB_Error オブジェクトを返します。
+     */
+    public function getAll($sql, $arrVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
     {
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -316,11 +317,11 @@
      *
      * クラス変数から WHERE 句を組み立てる場合、$arrWhereVal を経由してプレースホルダもクラス変数のもので上書きする。
-     * @param string $cols SELECT 文に含めるカラム名
-     * @param string $from SELECT 文に含めるテーブル名
-     * @param string $where SELECT 文に含める WHERE 句
-     * @param mixed $arrWhereVal プレースホルダ(参照)
+     * @param  string $cols        SELECT 文に含めるカラム名
+     * @param  string $from        SELECT 文に含めるテーブル名
+     * @param  string $where       SELECT 文に含める WHERE 句
+     * @param  mixed  $arrWhereVal プレースホルダ(参照)
      * @return string 構築済みの SELECT 文
      */
-    function getSql($cols, $from = '', $where = '', &$arrWhereVal = null)
+    public function getSql($cols, $from = '', $where = '', &$arrWhereVal = null)
     {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
@@ -340,5 +341,5 @@
             $sqlse .= ' WHERE ' . $this->where;
             // 実行時と同じくキャストしてから評価する (空文字を要素1の配列と評価させる意図)
-            $arrWhereValForEval = (array)$arrWhereVal;
+            $arrWhereValForEval = (array) $arrWhereVal;
             if (empty($arrWhereValForEval)) {
                 $arrWhereVal = $this->arrWhereVal;
@@ -356,8 +357,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $str 付与する SQL 文
+     * @param  string   $str 付与する SQL 文
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOption($str)
+    public function setOption($str)
     {
         $this->option = $str;
@@ -371,9 +372,9 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param integer $limit LIMIT 句に付与する値
-     * @param integer $offset OFFSET 句に付与する値
+     * @param  integer  $limit  LIMIT 句に付与する値
+     * @param  integer  $offset OFFSET 句に付与する値
      * @return SC_Query 自分自身のインスタンス
      */
-    function setLimitOffset($limit, $offset = 0)
+    public function setLimitOffset($limit, $offset = 0)
     {
         if (is_numeric($limit) && is_numeric($offset)) {
@@ -389,8 +390,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $str GROUP BY 句に付与する文字列
+     * @param  string   $str GROUP BY 句に付与する文字列
      * @return SC_Query 自分自身のインスタンス
      */
-    function setGroupBy($str)
+    public function setGroupBy($str)
     {
         if (strlen($str) == 0) {
@@ -408,8 +409,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $str WHERE 句に付与する AND 条件の文字列
+     * @param  string   $str WHERE 句に付与する AND 条件の文字列
      * @return SC_Query 自分自身のインスタンス
      */
-    function andWhere($str)
+    public function andWhere($str)
     {
         if ($this->where != '') {
@@ -427,8 +428,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $str WHERE 句に付与する OR 条件の文字列
+     * @param  string   $str WHERE 句に付与する OR 条件の文字列
      * @return SC_Query 自分自身のインスタンス
      */
-    function orWhere($str)
+    public function orWhere($str)
     {
         if ($this->where != '') {
@@ -446,9 +447,9 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $where WHERE 句に付与する文字列
-     * @param mixed $arrWhereVal プレースホルダ
+     * @param  string   $where       WHERE 句に付与する文字列
+     * @param  mixed    $arrWhereVal プレースホルダ
      * @return SC_Query 自分自身のインスタンス
      */
-    function setWhere($where = '', $arrWhereVal = array())
+    public function setWhere($where = '', $arrWhereVal = array())
     {
         $this->where = $where;
@@ -463,8 +464,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param string $str ORDER BY 句に付与する文字列
+     * @param  string   $str ORDER BY 句に付与する文字列
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOrder($str)
+    public function setOrder($str)
     {
         if (strlen($str) == 0) {
@@ -482,8 +483,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param integer $limit LIMIT 句に設定する値
+     * @param  integer  $limit LIMIT 句に設定する値
      * @return SC_Query 自分自身のインスタンス
      */
-    function setLimit($limit)
+    public function setLimit($limit)
     {
         if (is_numeric($limit)) {
@@ -499,8 +500,8 @@
      * この関数で設定した値は SC_Query::getSql() で使用されます.
      *
-     * @param integer $offset OFFSET 句に設定する値
+     * @param  integer  $offset OFFSET 句に設定する値
      * @return SC_Query 自分自身のインスタンス
      */
-    function setOffset($offset)
+    public function setOffset($offset)
     {
         if (is_numeric($offset)) {
@@ -514,13 +515,13 @@
      * INSERT文を実行する.
      *
-     * @param string $table テーブル名
-     * @param array $arrVal array('カラム名' => '値', ...)の連想配列
-     * @param array $arrSql array('カラム名' => 'SQL文', ...)の連想配列
-     * @param array $arrSqlVal SQL文の中で使用するプレースホルダ配列
-     * @param string $from FROM 句・WHERE 句
-     * @param string $arrFromVal FROM 句・WHERE 句で使用するプレースホルダ配列
+     * @param  string                   $table      テーブル名
+     * @param  array                    $arrVal     array('カラム名' => '値', ...)の連想配列
+     * @param  array                    $arrSql     array('カラム名' => 'SQL文', ...)の連想配列
+     * @param  array                    $arrSqlVal  SQL文の中で使用するプレースホルダ配列
+     * @param  string                   $from       FROM 句・WHERE 句
+     * @param  string                   $arrFromVal FROM 句・WHERE 句で使用するプレースホルダ配列
      * @return integer|DB_Error|boolean 挿入件数またはエラー(DB_Error, false)
      */
-    function insert($table, $arrVal, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array())
+    public function insert($table, $arrVal, $arrSql = array(), $arrSqlVal = array(), $from = '', $arrFromVal = array())
     {
         $strcol = '';
@@ -533,5 +534,5 @@
             if (strcasecmp('Now()', $val) === 0) {
                 $strval .= 'Now(),';
-            } else if (strcasecmp('CURRENT_TIMESTAMP', $val) === 0) {
+            } elseif (strcasecmp('CURRENT_TIMESTAMP', $val) === 0) {
                 $strval .= 'CURRENT_TIMESTAMP,';
             } else {
@@ -572,13 +573,13 @@
      * UPDATE文を実行する.
      *
-     * @param string $table テーブル名
-     * @param array $arrVal array('カラム名' => '値', ...)の連想配列
-     * @param string $where WHERE句
-     * @param array $arrWhereVal WHERE句用のプレースホルダ配列 (従来は追加カラム用も兼ねていた)
-     * @param array $arrRawSql 追加カラム
-     * @param array $arrRawSqlVal 追加カラム用のプレースホルダ配列
+     * @param string $table        テーブル名
+     * @param array  $arrVal       array('カラム名' => '値', ...)の連想配列
+     * @param string $where        WHERE句
+     * @param array  $arrWhereVal  WHERE句用のプレースホルダ配列 (従来は追加カラム用も兼ねていた)
+     * @param array  $arrRawSql    追加カラム
+     * @param array  $arrRawSqlVal 追加カラム用のプレースホルダ配列
      * @return
      */
-    function update($table, $arrVal, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array())
+    public function update($table, $arrVal, $where = '', $arrWhereVal = array(), $arrRawSql = array(), $arrRawSqlVal = array())
     {
         $arrCol = array();
@@ -589,5 +590,5 @@
             if (strcasecmp('Now()', $val) === 0) {
                 $arrCol[] = $key . '= Now()';
-            } else if (strcasecmp('CURRENT_TIMESTAMP', $val) === 0) {
+            } elseif (strcasecmp('CURRENT_TIMESTAMP', $val) === 0) {
                 $arrCol[] = $key . '= CURRENT_TIMESTAMP';
             } else {
@@ -630,11 +631,11 @@
      * MAX文を実行する.
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param string $where 付与する WHERE 句
-     * @param array $arrWhereVal プレースホルダに挿入する値
+     * @param  string  $table       テーブル名
+     * @param  string  $col         カラム名
+     * @param  string  $where       付与する WHERE 句
+     * @param  array   $arrWhereVal プレースホルダに挿入する値
      * @return integer MAX文の実行結果
      */
-    function max($col, $table, $where = '', $arrWhereVal = array())
+    public function max($col, $table, $where = '', $arrWhereVal = array())
     {
         $ret = $this->get("MAX($col)", $table, $where, $arrWhereVal);
@@ -646,11 +647,11 @@
      * MIN文を実行する.
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param string $where 付与する WHERE 句
-     * @param array $arrWhereVal プレースホルダに挿入する値
+     * @param  string  $table       テーブル名
+     * @param  string  $col         カラム名
+     * @param  string  $where       付与する WHERE 句
+     * @param  array   $arrWhereVal プレースホルダに挿入する値
      * @return integer MIN文の実行結果
      */
-    function min($col, $table, $where = '', $arrWhereVal = array())
+    public function min($col, $table, $where = '', $arrWhereVal = array())
     {
         $ret = $this->get("MIN($col)", $table, $where, $arrWhereVal);
@@ -662,11 +663,11 @@
      * SQL を構築して, 特定のカラムの値を取得する.
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param string $where 付与する WHERE 句
-     * @param array $arrWhereVal プレースホルダに挿入する値
-     * @return mixed SQL の実行結果
-     */
-    function get($col, $table = '', $where = '', $arrWhereVal = array())
+     * @param  string $table       テーブル名
+     * @param  string $col         カラム名
+     * @param  string $where       付与する WHERE 句
+     * @param  array  $arrWhereVal プレースホルダに挿入する値
+     * @return mixed  SQL の実行結果
+     */
+    public function get($col, $table = '', $where = '', $arrWhereVal = array())
     {
         $sqlse = $this->getSql($col, $table, $where, $arrWhereVal);
@@ -680,9 +681,9 @@
      * SQL を指定して, 特定のカラムの値を取得する.
      *
-     * @param string $sql 実行する SQL
-     * @param array $arrVal プレースホルダに挿入する値
-     * @return mixed SQL の実行結果
-     */
-    function getOne($sql, $arrVal = array())
+     * @param  string $sql    実行する SQL
+     * @param  array  $arrVal プレースホルダに挿入する値
+     * @return mixed  SQL の実行結果
+     */
+    public function getOne($sql, $arrVal = array())
     {
         $sql = $this->dbFactory->sfChangeMySQL($sql);
@@ -710,12 +711,12 @@
      * 一行をカラム名をキーとした連想配列として取得
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param string $where WHERE句
-     * @param array $arrWhereVal プレースホルダ配列
-     * @param integer $fetchmode 使用するフェッチモード。デフォルトは MDB2_FETCHMODE_ASSOC。
-     * @return array array('カラム名' => '値', ...)の連想配列
-     */
-    function getRow($col, $table = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
+     * @param  string  $table       テーブル名
+     * @param  string  $col         カラム名
+     * @param  string  $where       WHERE句
+     * @param  array   $arrWhereVal プレースホルダ配列
+     * @param  integer $fetchmode   使用するフェッチモード。デフォルトは MDB2_FETCHMODE_ASSOC。
+     * @return array   array('カラム名' => '値', ...)の連想配列
+     */
+    public function getRow($col, $table = '', $where = '', $arrWhereVal = array(), $fetchmode = MDB2_FETCHMODE_ASSOC)
     {
         $sql = $this->getSql($col, $table, $where, $arrWhereVal);
@@ -744,11 +745,11 @@
      * SELECT 文の実行結果を 1列のみ取得する.
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param string $where 付与する WHERE 句
-     * @param array $arrWhereVal プレースホルダに挿入する値
-     * @return array SQL の実行結果の配列
-     */
-    function getCol($col, $table = '', $where = '', $arrWhereVal = array())
+     * @param  string $table       テーブル名
+     * @param  string $col         カラム名
+     * @param  string $where       付与する WHERE 句
+     * @param  array  $arrWhereVal プレースホルダに挿入する値
+     * @return array  SQL の実行結果の配列
+     */
+    public function getCol($col, $table = '', $where = '', $arrWhereVal = array())
     {
         $sql = $this->getSql($col, $table, $where, $arrWhereVal);
@@ -777,10 +778,10 @@
      * レコードの削除
      *
-     * @param string $table テーブル名
-     * @param string $where WHERE句
-     * @param array $arrWhereVal プレースホルダ
+     * @param string $table       テーブル名
+     * @param string $where       WHERE句
+     * @param array  $arrWhereVal プレースホルダ
      * @return
      */
-    function delete($table, $where = '', $arrWhereVal = array())
+    public function delete($table, $where = '', $arrWhereVal = array())
     {
         if (strlen($where) <= 0) {
@@ -800,5 +801,5 @@
      * @param integer 次のシーケンス値
      */
-    function nextVal($seq_name)
+    public function nextVal($seq_name)
     {
         return $this->conn->nextID($seq_name);
@@ -808,8 +809,8 @@
      * 現在のシーケンス値を取得する.
      *
-     * @param string $seq_name 取得するシーケンス名
+     * @param  string  $seq_name 取得するシーケンス名
      * @return integer 現在のシーケンス値
      */
-    function currVal($seq_name)
+    public function currVal($seq_name)
     {
         return $this->conn->currID($seq_name);
@@ -819,9 +820,9 @@
      * シーケンス値を設定する.
      *
-     * @param string $seq_name シーケンス名
-     * @param integer $start 設定するシーケンス値
+     * @param  string  $seq_name シーケンス名
+     * @param  integer $start    設定するシーケンス値
      * @return MDB2_OK
      */
-    function setVal($seq_name, $start)
+    public function setVal($seq_name, $start)
     {
         $objManager =& $this->conn->loadModule('Manager');
@@ -846,12 +847,12 @@
      * FIXME $ignore_errが無視されるようになっているが互換性として問題が無いか確認が必要
      *
-     * @param string $n 実行する SQL 文
-     * @param array $arr プレースホルダに挿入する値
-     * @param boolean $ignore_err MDB2切替で無効化されている (エラーが発生しても処理を続行する場合 true)
-     * @param mixed $types プレースホルダの型指定 デフォルトnull = string
-     * @param mixed $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)
-     * @return array SQL の実行結果の配列
-     */
-    function query($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
+     * @param  string  $n            実行する SQL 文
+     * @param  array   $arr          プレースホルダに挿入する値
+     * @param  boolean $ignore_err   MDB2切替で無効化されている (エラーが発生しても処理を続行する場合 true)
+     * @param  mixed   $types        プレースホルダの型指定 デフォルトnull = string
+     * @param  mixed   $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)
+     * @return array   SQL の実行結果の配列
+     */
+    public function query($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
     {
         $n = $this->dbFactory->sfChangeMySQL($n);
@@ -878,5 +879,5 @@
      * @return array シーケンス名の配列
      */
-    function listSequences()
+    public function listSequences()
     {
         $objManager =& $this->conn->loadModule('Manager');
@@ -890,5 +891,5 @@
      * @return array テーブル名の配列
      */
-    function listTables()
+    public function listTables()
     {
         return $this->dbFactory->listTables($this);
@@ -898,8 +899,8 @@
      * テーブルのカラム一覧を取得する.
      *
-     * @param string $table テーブル名
-     * @return array 指定のテーブルのカラム名の配列
-     */
-    function listTableFields($table)
+     * @param  string $table テーブル名
+     * @return array  指定のテーブルのカラム名の配列
+     */
+    public function listTableFields($table)
     {
         $objManager =& $this->conn->loadModule('Manager');
@@ -911,8 +912,8 @@
      * テーブルのインデックス一覧を取得する.
      *
-     * @param string $table テーブル名
-     * @return array 指定のテーブルのインデックス一覧
-     */
-    function listTableIndexes($table)
+     * @param  string $table テーブル名
+     * @return array  指定のテーブルのインデックス一覧
+     */
+    public function listTableIndexes($table)
     {
         $objManager =& $this->conn->loadModule('Manager');
@@ -924,10 +925,10 @@
      * テーブルにインデックスを付与する
      *
-     * @param string $table テーブル名
-     * @param string $name インデックス名
-     * @param array $definition フィールド名など　通常のフィールド指定時は、$definition=array('fields' => array('フィールド名' => array()));
+     * @param string $table      テーブル名
+     * @param string $name       インデックス名
+     * @param array  $definition フィールド名など　通常のフィールド指定時は、$definition=array('fields' => array('フィールド名' => array()));
      *               MySQLのtext型フィールドを指定する場合は $definition['length'] = 'text_field(NNN)' が必要
      */
-    function createIndex($table, $name, $definition)
+    public function createIndex($table, $name, $definition)
     {
         $definition = $this->dbFactory->sfGetCreateIndexDefinition($table, $name, $definition);
@@ -941,7 +942,7 @@
      *
      * @param string $table テーブル名
-     * @param string $name インデックス名
-     */
-    function dropIndex($table, $name)
+     * @param string $name  インデックス名
+     */
+    public function dropIndex($table, $name)
     {
         $objManager =& $this->conn->loadModule('Manager');
@@ -953,8 +954,8 @@
      * テーブルの詳細情報を取得する。
      *
-     * @param string $table テーブル名
-     * @return array テーブル情報の配列
-     */
-    function getTableInfo($table)
+     * @param  string $table テーブル名
+     * @return array  テーブル情報の配列
+     */
+    public function getTableInfo($table)
     {
         $objManager =& $this->conn->loadModule('Reverse');
@@ -971,8 +972,8 @@
      *
      * @see MDB2::quote()
-     * @param string $val クォートを行う文字列
+     * @param  string $val クォートを行う文字列
      * @return string クォートされた文字列
      */
-    function quote($val)
+    public function quote($val)
     {
         return $this->conn->quote($val);
@@ -986,5 +987,5 @@
      * @return array テーブルに存在する列のみ抽出した連想配列
      */
-    function extractOnlyColsOf($table, $arrParams)
+    public function extractOnlyColsOf($table, $arrParams)
     {
         $arrCols = $this->listTableFields($table);
@@ -1003,10 +1004,10 @@
      *
      * @access private
-     * @param string $sql プリペアドステートメントを構築する SQL
-     * @param mixed $types プレースホルダの型指定 デフォルト null
-     * @param mixed $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)、nullは指定無し
+     * @param  string                $sql          プリペアドステートメントを構築する SQL
+     * @param  mixed                 $types        プレースホルダの型指定 デフォルト null
+     * @param  mixed                 $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)、nullは指定無し
      * @return MDB2_Statement_Common プリペアドステートメントインスタンス
      */
-    function prepare($sql, $types = null, $result_types = MDB2_PREPARE_RESULT)
+    public function prepare($sql, $types = null, $result_types = MDB2_PREPARE_RESULT)
     {
         $sth =& $this->conn->prepare($sql, $types, $result_types);
@@ -1024,8 +1025,8 @@
      * @access private
      * @param MDB2_Statement_Common プリペアドステートメントインスタンス
-     * @param array $arrVal プレースホルダに挿入する配列
+     * @param  array       $arrVal プレースホルダに挿入する配列
      * @return MDB2_Result 結果セットのインスタンス
      */
-    function execute(&$sth, $arrVal = array())
+    public function execute(&$sth, $arrVal = array())
     {
         // #1658 (SC_Query の各種メソッドでプレースホルダの数に誤りがあるとメモリリークが発生する) 対応
@@ -1037,5 +1038,5 @@
 
         $arrStartInfo =& $this->lfStartDbTraceLog($sth, $arrVal);
-        $affected =& $sth->execute((array)$arrVal);
+        $affected =& $sth->execute((array) $arrVal);
         $this->lfEndDbTraceLog($arrStartInfo, $sth, $arrVal);
 
@@ -1058,10 +1059,10 @@
      * XXX 重要な情報を先頭に置き、冗長になりすぎないように留意する。
      * @access private
-     * @param PEAR::Error $error PEAR::Error インスタンス
-     * @param string $sql エラーの発生した SQL 文
-     * @param array $arrVal プレースホルダ
-     * @return string トレースしたエラー文字列
-     */
-    function traceError($error, $sql = '', $arrVal = false)
+     * @param  PEAR::Error $error  PEAR::Error インスタンス
+     * @param  string      $sql    エラーの発生した SQL 文
+     * @param  array       $arrVal プレースホルダ
+     * @return string      トレースしたエラー文字列
+     */
+    public function traceError($error, $sql = '', $arrVal = false)
     {
         $err = "SQL: [$sql]\n";
@@ -1074,5 +1075,4 @@
         // PEAR::MDB2 内部のスタックトレースを出力する場合、下記のコメントを外す。
         // $err .= GC_Utils_Ex::toStringBacktrace($error->getBackTrace());
-
         return $err;
     }
@@ -1081,5 +1081,5 @@
      * エラー処理
      */
-    function error($msg)
+    public function error($msg)
     {
         $msg = "DB処理でエラーが発生しました。\n" . $msg;
@@ -1094,12 +1094,12 @@
      * SQLクエリの結果セットのカラム名だけを取得する
      *
-     * @param string $n 実行する SQL 文
-     * @param array $arr プレースホルダに挿入する値
+     * @param string $n   実行する SQL 文
+     * @param array  $arr プレースホルダに挿入する値
      * @param boolean エラーが発生しても処理を続行する場合 true
-     * @param mixed $types プレースホルダの型指定 デフォルトnull = string
-     * @param mixed $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)
+     * @param  mixed $types        プレースホルダの型指定 デフォルトnull = string
+     * @param  mixed $result_types 返値の型指定またはDML実行(MDB2_PREPARE_MANIP)
      * @return array 実行結果の配列
      */
-    function getQueryDefsFields($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
+    public function getQueryDefsFields($n ,$arr = array(), $ignore_err = false, $types = null, $result_types = MDB2_PREPARE_RESULT)
     {
         $n = $this->dbFactory->sfChangeMySQL($n);
@@ -1125,5 +1125,5 @@
      *
      * @param string 実行するSQL文
-     * @param array $arrVal プレースホルダに挿入する配列
+     * @param  array $arrVal プレースホルダに挿入する配列
      * @return void
      */
@@ -1161,5 +1161,5 @@
      *
      * @param string 実行するSQL文
-     * @param array $arrVal プレースホルダに挿入する配列
+     * @param  array $arrVal プレースホルダに挿入する配列
      * @return void
      */
@@ -1177,5 +1177,5 @@
         if (SQL_QUERY_LOG_MODE === 1) {
             // 規定時間より速い場合、ログに出力しない
-            if (!defined('SQL_QUERY_LOG_MIN_EXEC_TIME') || $timeExecTime < (float)SQL_QUERY_LOG_MIN_EXEC_TIME) {
+            if (!defined('SQL_QUERY_LOG_MIN_EXEC_TIME') || $timeExecTime < (float) SQL_QUERY_LOG_MIN_EXEC_TIME) {
                 return;
             }
@@ -1192,9 +1192,9 @@
      * インスタンスをプールする
      *
-     * @param SC_Query $objThis プールするインスタンス
-     * @param string $dsn データソース名
+     * @param  SC_Query $objThis プールするインスタンス
+     * @param  string   $dsn     データソース名
      * @return SC_Query プールしたインスタンス
      */
-    static function setPoolInstance(&$objThis, $dsn = '')
+    public static function setPoolInstance(&$objThis, $dsn = '')
     {
         $key_str = serialize($dsn);
@@ -1206,8 +1206,8 @@
      * プールしているインスタンスを取得する
      *
-     * @param string $dsn データソース名
+     * @param  string        $dsn データソース名
      * @return SC_Query|null
      */
-    static function getPoolInstance($dsn = '')
+    public static function getPoolInstance($dsn = '')
     {
         $key_str = serialize($dsn);
Index: /branches/version-2_13-dev/data/class/SC_SmartphoneView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SmartphoneView.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_SmartphoneView.php	(revision 23124)
@@ -24,10 +24,10 @@
 class SC_SmartphoneView extends SC_SiteView_Ex
 {
-    function __construct($setPrevURL = true)
+    public function __construct($setPrevURL = true)
     {
         parent::__construct($setPrevURL);
     }
 
-    function init()
+    public function init()
     {
         parent::init();
